<?php

/**
 *
 * Copyright (c) 2013, EvoStream Inc.  All rights reserved.
 *
 * This software is provided free of charge to be used solely in conjunction
 * with the EvoStream Media Server.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the source code retain the above 
 * copyright notice, this list of conditions and the following disclaimer.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 * 
 * */
/**
 * --------------------------------------------------------------------------
 * Configuration for Accounts
 * --------------------------------------------------------------------------
 *  ENABLE_LOGIN - enable/disable the login authentication of the web ui (Disabled - FALSE by default)
 *  PASSWORDS - directory of the password file
 *  REALM - http realm where is serves as the protection space for authentication schemes
 * */

@define('ENABLE_LOGIN', FALSE);
@define('PASSWORDS', 'settings/passwords/.htdigest');
@define('REALM', 'Restricted');

function loadHtdigest($passwordFile) {
	
	file_exists($passwordFile) or die('<b>' . realpath($passwordFile) . 'does not exist</b>');
	$htpasswd = file($passwordFile);
	$users = array();
	foreach ($htpasswd as $k => $v) {
		if ($v != '') {
			$tmp = explode(":", $v);
			$users[$tmp[0]] = trim($tmp[1]);
		}
	}
	
	return $users;
}

?>
